gr::lte::pbch_demux_vcvc Class Referenceabstract

Demultiplex PBCH data from resource grid. More...

`#include <pbch_demux_vcvc.h>`

Inheritance diagram for gr::lte::pbch_demux_vcvc:
[legend]

## Public Types

typedef boost::shared_ptr< pbch_demux_vcvc > | sptr

## Public Member Functions

virtual void | set_cell_id (int id)=0

## Static Public Member Functions

static sptr | make (int N_rb_dl, int rxant, std::string name="pbch_demux_vcvc")
| Return a shared_ptr to a new instance of lte::pbch_demux_vcvc.

## Detailed Description

Demultiplex PBCH data from resource grid.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<pbch_demux_vcvc> gr::lte::pbch_demux_vcvc::sptr

## Member Function Documentation

## make()

static sptr gr::lte::pbch_demux_vcvc::make | ( | int | N_rb_dl,
|  | int | rxant,
|  | std::string | name = "pbch_demux_vcvc" )

static

Return a shared_ptr to a new instance of lte::pbch_demux_vcvc.

To avoid accidental use of raw pointers, lte::pbch_demux_vcvc's constructor is in a private implementation class. lte::pbch_demux_vcvc::make is the public interface for creating new instances.

## set_cell_id()

virtual void gr::lte::pbch_demux_vcvc::set_cell_id | ( | int | id | ) |

pure virtual

Implemented in gr::lte::pbch_demux_vcvc_impl.

The documentation for this class was generated from the following file:

- pbch_demux_vcvc.h